%define beta b2


Name: beanshell
Version: 2.0
Release: alt0.1%{beta}

%def_enable check
%def_disable debug

Summary: Lightweight Scripting for Java
Group: Development/Java
License: LGPL
Url: http://www.beanshell.org

%define pkgdocdir %_docdir/%name-%version

Source: bsh-%{version}%{beta}-src.jar
Source1: %{name}.build.script

BuildPreReq: rpm-build-java
BuildPreReq: /proc 
BuildRequires: javacc jakarta-bsf unzip jakarta-servletapi4
BuildRequires: j2se-devel ant
%if_enabled check
BuildRequires: ant ant-junit
%endif
AutoProv: yes, nolib

%description
BeanShell is a small, free, embeddable, Java source interpreter with
object scripting language features, written in Java. BeanShell executes
standard Java statements and expressions, in addition to obvious
scripting commands and syntax. BeanShell supports scripted objects as
simple method closures like those in Perl and JavaScript(tm).
You can use BeanShell interactively for Java experimentation and
debugging or as a simple scripting engine for your applications. In
short: BeanShell is a dynamically interpreted Java, plus some useful
stuff. Another way to describe it is to say that in many ways BeanShell
is to Java as Tcl/Tk is to C: BeanShell is embeddable - You can call
BeanShell from your Java applications to execute Java code dynamically
at run-time or to provide scripting extensibility for your applications.
Alternatively, you can call your Java applications and objects from
BeanShell; working with Java objects and APIs dynamically. Since
BeanShell is written in Java and runs in the same space as your
application, you can freely pass references to "real live" objects into
scripts and return them as results.

%package javadoc
Summary: Javadoc for %{name}
Group: Development/Java

%description javadoc
Javadoc for %{name}.


%package demo
Summary: Demo for %{name}
Group: Development/Java
Requires: %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n BeanShell
%__cp -f %{SOURCE1}  build.xml
find . -name '*.jar' -print0 | xargs -r0 %__rm -f


%build
%set_classpath %_javadir/jakarta-servletapi4.jar
%add_classpath %_javadir/bsf.jar

%ant_build -Dsite.lib.dir=%_javadir \
%if_enabled debug
    -Dcompile.optimize=false \
%else
    -Dcompile.debug=false \
%endif
    jar
%ant_build javadoc

%install
%__mkdir_p %buildroot%_javadir
%__install -p -m644 build/lib/%{name}.jar %buildroot%_javadir/%{name}.jar
#demo
install -d -m 755 %buildroot%{_datadir}/%{name}
cp -pr tests %buildroot%{_datadir}/%{name}



%files
%_javadir/*.jar
%doc src/License.txt src/README.txt

%files javadoc
%doc build/api/*

%files demo
%{_datadir}/%{name}


%changelog
* Tue Apr 26 2005 Eugene V. Horohorin <genix@altlinux.ru> 2.0-alt0.1b2
- First build for ALTLinux
